<?php
session_start();
//include_once('../config/Conexion');
include '../config/conexion.php';

if(isset($_POST['agregar'])){
	//Imagen de Foto


	$database = new Connection();
	$db = $database->open();
	try{
		//hacer uso de una declaración preparada para prevenir la inyección de sql
		$stmt = $db->prepare("INSERT INTO seguro (nro_placa, aseguradora, nro_poliza_seguro	, fecha_inicio, fecha_vto) 
		VALUES (:nro_placa, :aseguradora, :nro_poliza_seguro, :fecha_inicio, :fecha_vto)");
		//instrucción if-else en la ejecución de nuestra declaración preparada
		$_SESSION['message'] = ( 
		$stmt->execute(array(
        ':nro_placa' => $_POST['nro_placa'],
		':aseguradora' => $_POST['aseguradora'], 
        ':nro_poliza_seguro' => $_POST['nro_poliza_seguro'],
		':fecha_inicio' => $_POST['fecha_inicio'], 
        ':fecha_vto' => $_POST['fecha_vto']))) ? 'Seguro Vehicular Registrado Correctamente!' : 'Algo salió mal. No se puede crear el seguro vehicular';	
	    
	}
	catch(PDOException $e){
		$_SESSION['message'] = $e->getMessage();
	}
	//cerrar la conexion
	$database->close();
}

else{
	$_SESSION['message'] = 'Llene el formulario';
}

header('location: ../views/seguro');
	
?>
